### Method

# Pango Language get_sample_string

#### Declaration [src]

    const char*
    pango_language_get_sample_string (
      PangoLanguage* language
    )

#### Description [src]

Get a string that is representative of the characters needed to render a particular language.

The sample text may be a pangram, but is not necessarily. It is chosen to be demonstrative of normal text in the language, as well as exposing font feature requirements unique to the language. It is suitable for use as sample text in a font selection dialog.

If `language` is `NULL`, the default language as found by `pango_language_get_default()` is used.

If Pango does not have a sample string for `language`, the classic “The quick brown fox…” is returned. This can be detected by comparing the returned pointer value to that returned for (non-existent) language code “xx”. That is, compare to:

    pango_language_get_sample_string (pango_language_from_string ("xx"))

#### Parameters

`language`

  Type: `PangoLanguage`

  A `PangoLanguage`.

  The argument can be `NULL`.

#### Return value

Type: `const char*`

The sample string.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.